gstreamer-validate-devel-1.12.5-lp150.1.1.x86_64.rpm


Advertisement

Description

gstreamer-validate-devel - Validate GStreamer Pipelines -- Developer's files

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name gstreamer-validate-devel
Package version 1.12.5
Package release lp150.1.1
Package architecture x86_64
Package type rpm
Installed size 807.56 KB
Download size 178.77 KB
Official Mirror widehat.opensuse.org
The goal of GstValidate is to be able to detect when elements are not
behaving as expected and report it to the user so he knows how things
are supposed to work inside a GstPipeline. In the end, fixing issues
found by the tool will ensure that all elements behave all together in
the expected way.

Alternatives

Package Version Architecture Repository
gstreamer-validate-devel-1.14.4-lp150.41.3.x86_64.rpm 1.14.4 x86_64 Multimedia Libs
gstreamer-validate-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
gstreamer-validate = 1.12.5
libc.so.6(GLIBC_2.14)(64bit) -
libcairo.so.2()(64bit) -
libgdk-3.so.0()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgstpbutils-1.0.so.0()(64bit) -
libgstreamer-1.0.so.0()(64bit) -
libgstvalidate-1.0.so.0()(64bit) -
libgstvalidate-1_0-0 = 1.12.5
libgstvalidatevideo-1.0.so.0()(64bit) -
libgstvideo-1.0.so.0()(64bit) -
libgtk-3.so.0()(64bit) -
libjson-glib-1.0.so.0()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
pkgconfig(gstreamer-1.0) -
typelib-1_0-GstValidate-1_0 = 1.12.5

Provides

Name Value
gstreamer-validate-devel = 1.12.5-lp150.1.1
gstreamer-validate-devel(x86-64) = 1.12.5-lp150.1.1
libgstvalidatefaultinjection.so()(64bit) -
libgstvalidategapplication.so()(64bit) -
libgstvalidategtk.so()(64bit) -
libgstvalidatessim.so()(64bit) -
libgstvalidatetracer.so()(64bit) -
pkgconfig(gst-validate-1.0) = 1.12.5

Download

Type URL
Binary Package gstreamer-validate-devel-1.12.5-lp150.1.1.x86_64.rpm
Source Package gstreamer-validate-1.12.5-lp150.1.1.src.rpm

Install Howto

Install gstreamer-validate-devel rpm package:

# zypper install gstreamer-validate-devel

Files

Path
/usr/include/gstreamer-1.0/
/usr/include/gstreamer-1.0/gst/
/usr/include/gstreamer-1.0/gst/validate/gst-validate-bin-monitor.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-element-monitor.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-enums.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-media-info.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-monitor-factory.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-monitor.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-override-registry.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-override.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-pad-monitor.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-pipeline-monitor.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-report.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-reporter.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-runner.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-scenario.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-types.h
/usr/include/gstreamer-1.0/gst/validate/gst-validate-utils.h
/usr/include/gstreamer-1.0/gst/validate/media-descriptor-parser.h
/usr/include/gstreamer-1.0/gst/validate/media-descriptor-writer.h
/usr/include/gstreamer-1.0/gst/validate/media-descriptor.h
/usr/include/gstreamer-1.0/gst/validate/validate.h
/usr/include/gstreamer-1.0/lib/
/usr/include/gstreamer-1.0/lib/validate/
/usr/include/gstreamer-1.0/lib/validate/video/gssim.h
/usr/include/gstreamer-1.0/lib/validate/video/gstvalidatessim.h
/usr/lib64/libgstvalidate-1.0.so
/usr/lib64/libgstvalidate-default-overrides-1.0.so
/usr/lib64/libgstvalidatevideo-1.0.so
/usr/lib64/gstreamer-1.0/libgstvalidatetracer.so
/usr/lib64/gstreamer-1.0/validate/libgstvalidatefaultinjection.so
/usr/lib64/gstreamer-1.0/validate/libgstvalidategapplication.so
/usr/lib64/gstreamer-1.0/validate/libgstvalidategtk.so
/usr/lib64/gstreamer-1.0/validate/libgstvalidatessim.so
/usr/lib64/pkgconfig/gst-validate-1.0.pc
/usr/share/gir-1.0/GstValidate-1.0.gir
/usr/share/gtk-doc/html/gst-validate-1.0/GstValidateReporter.html
/usr/share/gtk-doc/html/gst-validate-1.0/GstValidateRunner.html
/usr/share/gtk-doc/html/gst-validate-1.0/GstValidateScenario.html
/usr/share/gtk-doc/html/gst-validate-1.0/annotation-glossary.html
/usr/share/gtk-doc/html/gst-validate-1.0/api-index-full.html
/usr/share/gtk-doc/html/gst-validate-1.0/ch02.html
/usr/share/gtk-doc/html/gst-validate-1.0/deprecated-api-index.html
/usr/share/gtk-doc/html/gst-validate-1.0/envvariables.html
/usr/share/gtk-doc/html/gst-validate-1.0/gst-validate-1.0.devhelp2
/usr/share/gtk-doc/html/gst-validate-1.0/gst-validate-GstValidate-monitoring-system.html
/usr/share/gtk-doc/html/gst-validate-1.0/gst-validate-Initialization.html
/usr/share/gtk-doc/html/gst-validate-1.0/gst-validate-launcher.html
/usr/share/gtk-doc/html/gst-validate-1.0/gst-validate-media-check.html
/usr/share/gtk-doc/html/gst-validate-1.0/gst-validate-transcoding.html
/usr/share/gtk-doc/html/gst-validate-1.0/gst-validate.html
/usr/share/gtk-doc/html/gst-validate-1.0/home.png
/usr/share/gtk-doc/html/gst-validate-1.0/index.html
/usr/share/gtk-doc/html/gst-validate-1.0/left-insensitive.png
/usr/share/gtk-doc/html/gst-validate-1.0/left.png
/usr/share/gtk-doc/html/gst-validate-1.0/object-tree.html
/usr/share/gtk-doc/html/gst-validate-1.0/overview.html
/usr/share/gtk-doc/html/gst-validate-1.0/right-insensitive.png
/usr/share/gtk-doc/html/gst-validate-1.0/right.png
/usr/share/gtk-doc/html/gst-validate-1.0/scenarios.html
/usr/share/gtk-doc/html/gst-validate-1.0/style.css
/usr/share/gtk-doc/html/gst-validate-1.0/up-insensitive.png
/usr/share/gtk-doc/html/gst-validate-1.0/up.png
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/ch01.html
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/gst-validate-plugins-1.0.devhelp2
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/gst-validate-plugins-Validate-SSim-plugin.html
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/home.png
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/index.html
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/left-insensitive.png
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/left.png
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/right-insensitive.png
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/right.png
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/style.css
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/up-insensitive.png
/usr/share/gtk-doc/html/gst-validate-plugins-1.0/up.png

Changelog

See gstreamer-validate-1.12.5-lp150.1.1.x86_64.rpm changelog.

See Also

Package Description
gstreamermm-devel-1.10.0-lp150.1.3.x86_64.rpm C++ bindings for the GStreamer streaming multimedia library
gstreamermm-doc-1.10.0-lp150.1.3.noarch.rpm C++ bindings for the GStreamer streaming multimedia library
gsynaptics-0.9.16-lp150.1.6.x86_64.rpm A Graphical Front-End for Synaptics Touchpad Configuration
gsynaptics-lang-0.9.16-lp150.1.6.noarch.rpm Translations for package gsynaptics
gtef-2-lang-2.0.1-lp150.2.1.noarch.rpm Translations for package gtef
gtef-devel-2.0.1-lp150.2.1.x86_64.rpm GNOME Text Editor Framework
gtest-1.8.0-lp150.1.4.x86_64.rpm Google C++ Testing Framework - Development files
gtg-0.3.1-lp150.2.2.noarch.rpm Personal Organizer for GNOME
gtg-lang-0.3.1-lp150.2.2.noarch.rpm Translations for package gtg
gthumb-3.6.1-lp150.2.4.x86_64.rpm An Image Viewer and Browser for GNOME
gthumb-devel-3.6.1-lp150.2.4.x86_64.rpm An Image Viewer and Browser for GNOME - Development Files
gthumb-lang-3.6.1-lp150.2.4.noarch.rpm Translations for package gthumb
gti-1.6.1-lp150.1.7.x86_64.rpm ASCII art punishmet for misspelling git
gtick-0.5.4-lp150.1.6.x86_64.rpm A metronome application
gtick-lang-0.5.4-lp150.1.6.noarch.rpm Translations for package gtick
Advertisement
Advertisement